import type { AdminUser } from './types';

const key = 'user';
const key2 = 'username';

function login(user: AdminUser) {
	localStorage.setItem(key, btoa(`${user.username}:${user.password_hash}`));
	localStorage.setItem(key2, user.username);
}

function logout() {
	localStorage.removeItem(key);
	localStorage.removeItem(key2);
}

function loggedIn() {
	return localStorage.getItem(key) !== null;
}

function name() {
	return localStorage.getItem(key2) ?? '';
}

function auth() {
	return localStorage.getItem(key);
}

export default { login, logout, loggedIn, name, auth };
